Skip to main content
GET
/
products
/
get-products
/
v2
Get products with filtering
curl --request GET \
  --url https://api.collectpure.com/products/get-products/v2 \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "purity": "<string>",
      "weight": "<string>",
      "weightGrams": 123,
      "sku": "<string>",
      "isCertified": true,
      "isIra": true,
      "material": "<string>",
      "attributes": [
        "<string>"
      ],
      "images": [
        "<string>"
      ],
      "manufacturer": {
        "title": "<string>",
        "images": [
          "<string>"
        ],
        "isEsg": true
      },
      "category": {
        "title": "<string>",
        "isNumismatic": true
      },
      "subCategory": {
        "title": "<string>",
        "premiumCalculationType": "<string>"
      },
      "certificateProvider": {
        "title": "<string>"
      },
      "variants": [
        {
          "title": "<string>",
          "highestOffer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "price": 123,
            "quantity": 123,
            "spotPremium": 123,
            "spotPremiumDollar": 123,
            "expiresAt": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>"
          },
          "lowestListing": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "price": 123,
            "quantity": 123,
            "spotPremium": 123,
            "spotPremiumDollar": 123,
            "expiresAt": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>"
          },
          "images": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

material
string

Filter by material (Gold, Silver, Platinum, Palladium, Bitcoin)

attributeIds
string

Comma separated attribute IDs (AND semantics)

limit
integer
default:10
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

Default Response

data
object[]
required
total
number
required
limit
number
required
offset
number
required